{
    attributes = (
        {
            columnName = "C_CORPS_DEPART"; 
            externalType = VARCHAR2; 
            name = cCorpsDepart; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_GRADE_EQUIV"; 
            externalType = VARCHAR2; 
            name = cGradeEquiv; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "C_TYPE_ACCES"; 
            externalType = VARCHAR2; 
            name = cTypeAcces; 
            valueClassName = NSString; 
            valueType = S; 
            width = 3; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_DEB_VAL"; 
            externalType = DATE; 
            name = dDebVal; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FIN_VAL"; 
            externalType = DATE; 
            name = dFinVal; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "NO_SEQ_EQUIV_ANC_CORPS"; 
            externalType = NUMBER; 
            name = noSeqEquivAncCorps; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TEM_PROMOUVABILITE"; 
            externalType = VARCHAR2; 
            name = temPromouvabilite; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            columnName = "TEM_TT_TYPE_ACCES"; 
            externalType = VARCHAR2; 
            name = temTtTypeAcces; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (
        noSeqEquivAncCorps, 
        cCorpsDepart, 
        cTypeAcces, 
        cGradeEquiv, 
        temPromouvabilite, 
        temTtTypeAcces
    ); 
    className = "org.cocktail.mangue.modele.grhum.EOEquivAncCorps"; 
    classProperties = (
        temPromouvabilite, 
        temTtTypeAcces, 
        dDebVal, 
        dFinVal, 
        gradeEquivalent, 
        corpsDepart, 
        typeAcces, 
        dCreation, 
        dModification
    ); 
    externalName = "GRHUM.EQUIV_ANC_CORPS"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            temPromouvabilite, 
            temTtTypeAcces, 
            dDebVal, 
            dFinVal, 
            gradeEquivalent, 
            corpsDepart, 
            typeAcces, 
            dCreation, 
            dModification
        ); 
    }; 
    name = EquivAncCorps; 
    primaryKeyAttributes = (noSeqEquivAncCorps); 
    relationships = (
        {
            destination = Corps; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cCorps; sourceAttribute = cCorpsDepart; }); 
            name = corpsDepart; 
        }, 
        {
            destination = Grade; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cGrade; sourceAttribute = cGradeEquiv; }); 
            name = gradeEquivalent; 
        }, 
        {
            destination = TypeAcces; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = code; sourceAttribute = cTypeAcces; }); 
            name = typeAcces; 
        }
    ); 
}
